<?php
namespace Claromentis\Core\Templater;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array();
use Claromentis\Design\Facade\ActiveTheme;
class TemplateRenderer
{
    
    
    protected $vi;
    
    
    protected $templater;
    
    
    protected $template_reader;
    public function __construct(Templater $templater, ActiveTheme $_8fa80b09b82aad4f1f9034ee43711f05, TemplateReader $_969e128230582c3894bf79d749422a80)
    {
        $this->templater = $templater;
        $this->vi = $_8fa80b09b82aad4f1f9034ee43711f05->GetVi();
        $this->template_reader = $_969e128230582c3894bf79d749422a80;
    }
    public function Render(string $template, array $args) : string
    {
        $this->templater->SetTemplateReader($this->template_reader);
        return $this->templater->Render($template, $args, [], true, $this->vi);
    }
}